AbstractMessageBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.component.builder.AbstractMessageBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component.builder
Class AbstractMessageBuilder

    java.lang.Object
      org.mule.component.builder.AbstractMessageBuilder

All Implemented Interfaces:
  MessageBuilder, Callable, EventListener, ServiceAware

Direct Known Subclasses:
  ReflectionMessageBuilder

Deprecated. Since 2.2. Users should configure components with bindings.

    public abstract class AbstractMessageBuilder

extends Object
implements ServiceAware, Callable, MessageBuilder

A service that will invoke all outbound endpoints configured on the service allow the result of each endpoint invocation to be aggregated to a single message.

Field Summary
`protected Log` | `logger` Deprecated. logger used by this class
`protected Service` | `service` Deprecated.

Constructor Summary
`AbstractMessageBuilder()` Deprecated.

Method Summary
`Object` | `onCall(MuleEventContext eventContext)` Deprecated. Passes the event to the listener
`void` | `setService(Service service)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.component.builder.MessageBuilder
`buildMessage`

Field Detail

### logger

    protected transient Log logger

  Deprecated.
  logger used by this class

### service

    protected Service service

  Deprecated.

Constructor Detail

### AbstractMessageBuilder

    public AbstractMessageBuilder()

  Deprecated.

Method Detail

### setService

    public void setService(Service service)
                    throws ConfigurationException

  Deprecated.
  Specified by:
    `setService` in interface `ServiceAware`
  Throws:
    `ConfigurationException`

### onCall

    public Object onCall(MuleEventContext eventContext)
                  throws Exception

  Deprecated.
  Description copied from interface: `Callable`
  Passes the event to the listener

  Specified by:
    `onCall` in interface `Callable`
  Parameters:
    `eventContext` - the context of the current event being process
  Returns:
    Object this object can be anything. When the `LifecycleAdapter` for the service receives this object it will first see if the Object is an `MuleMessage` if not and the Object is not null a new message will be created using the returned object as the payload. This new event will then get published via the configured outbound router if-
    1. One has been configured for the component.
    2. the `setStopFurtherProcessing(true)` wasn't called on the event context event.
  Throws:
    `Exception` - if the event fails to process properly. If exceptions aren't handled by the implementation they will be handled by the exceptionListener associated with the service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.